<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2021 Workiva-->
<!--r:a28d0784-75d6-4254-b724-97e71933a02f,g:efad6e1c-c848-482f-a651-924ff8791313-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:bfs="http://www.saulcenters.com/20210331" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.saulcenters.com/20210331">
  <xs:import namespace="http://fasb.org/srt/2020-01-31" schemaLocation="http://xbrl.fasb.org/srt/2020/elts/srt-2020-01-31.xsd"/>
  <xs:import namespace="http://fasb.org/us-gaap/2020-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2020/elts/us-gaap-2020-01-31.xsd"/>
  <xs:import namespace="http://www.w3.org/1999/xlink" schemaLocation="http://www.xbrl.org/2003/xlink-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd"/>
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei/2020-01-31" schemaLocation="https://xbrl.sec.gov/dei/2020/dei-2020-01-31.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="bfs-20210331_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="bfs-20210331_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="bfs-20210331_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="bfs-20210331_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="CoverPage" roleURI="http://www.saulcenters.com/role/CoverPage">
        <link:definition>0001001 - Document - Cover Page</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedBalanceSheetsUnaudited" roleURI="http://www.saulcenters.com/role/ConsolidatedBalanceSheetsUnaudited">
        <link:definition>1001002 - Statement - Consolidated Balance Sheets (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedBalanceSheetsUnauditedParenthetical" roleURI="http://www.saulcenters.com/role/ConsolidatedBalanceSheetsUnauditedParenthetical">
        <link:definition>1002003 - Statement - Consolidated Balance Sheets (Unaudited) (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementsofOperationsUnaudited" roleURI="http://www.saulcenters.com/role/ConsolidatedStatementsofOperationsUnaudited">
        <link:definition>1003004 - Statement - Consolidated Statements of Operations (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementofEquityUnaudited" roleURI="http://www.saulcenters.com/role/ConsolidatedStatementofEquityUnaudited">
        <link:definition>1004005 - Statement - Consolidated Statement of Equity (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementofEquityParenthetical" roleURI="http://www.saulcenters.com/role/ConsolidatedStatementofEquityParenthetical">
        <link:definition>1005006 - Statement - Consolidated Statement of Equity (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ConsolidatedStatementsofCashFlowsUnaudited" roleURI="http://www.saulcenters.com/role/ConsolidatedStatementsofCashFlowsUnaudited">
        <link:definition>1006007 - Statement - Consolidated Statements of Cash Flows (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OrganizationBasisofPresentation" roleURI="http://www.saulcenters.com/role/OrganizationBasisofPresentation">
        <link:definition>2101101 - Disclosure - Organization, Basis of Presentation</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OrganizationFormationandStructureDetails" roleURI="http://www.saulcenters.com/role/OrganizationFormationandStructureDetails">
        <link:definition>2402401 - Disclosure - Organization, Formation and Structure (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPolicies" roleURI="http://www.saulcenters.com/role/SummaryofSignificantAccountingPolicies">
        <link:definition>2103102 - Disclosure - Summary of Significant Accounting Policies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesPolicies" roleURI="http://www.saulcenters.com/role/SummaryofSignificantAccountingPoliciesPolicies">
        <link:definition>2204201 - Disclosure - Summary of Significant Accounting Policies (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesTables" roleURI="http://www.saulcenters.com/role/SummaryofSignificantAccountingPoliciesTables">
        <link:definition>2305301 - Disclosure - Summary of Significant Accounting Policies - (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesNarrativeDetails" roleURI="http://www.saulcenters.com/role/SummaryofSignificantAccountingPoliciesNarrativeDetails">
        <link:definition>2406402 - Disclosure - Summary of Significant Accounting Policies - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryofSignificantAccountingPoliciesScheduleofAccountsReceivableDetails" roleURI="http://www.saulcenters.com/role/SummaryofSignificantAccountingPoliciesScheduleofAccountsReceivableDetails">
        <link:definition>2407403 - Disclosure - Summary of Significant Accounting Policies - Schedule of Accounts Receivable (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RealEstate" roleURI="http://www.saulcenters.com/role/RealEstate">
        <link:definition>2108103 - Disclosure - Real Estate</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RealEstateTables" roleURI="http://www.saulcenters.com/role/RealEstateTables">
        <link:definition>2309302 - Disclosure - Real Estate - (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RealEstateTransactionsNarrativeDetails" roleURI="http://www.saulcenters.com/role/RealEstateTransactionsNarrativeDetails">
        <link:definition>2410404 - Disclosure - - Real Estate Transactions - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RealEstateScheduleofConstructioninProgressDetails" roleURI="http://www.saulcenters.com/role/RealEstateScheduleofConstructioninProgressDetails">
        <link:definition>2411405 - Disclosure - Real Estate - Schedule of Construction in Progress (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RealEstateFutureContractualPaymentsDetails" roleURI="http://www.saulcenters.com/role/RealEstateFutureContractualPaymentsDetails">
        <link:definition>2412406 - Disclosure - Real Estate - Future Contractual Payments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RealEstateFutureContractualPaymentsDetails_1" roleURI="http://www.saulcenters.com/role/RealEstateFutureContractualPaymentsDetails_1">
        <link:definition>2412406 - Disclosure - Real Estate - Future Contractual Payments (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NoncontrollingInterestsHoldersofConvertibleLimitedPartnershipUnitsintheOperatingPartnership" roleURI="http://www.saulcenters.com/role/NoncontrollingInterestsHoldersofConvertibleLimitedPartnershipUnitsintheOperatingPartnership">
        <link:definition>2113104 - Disclosure - Noncontrolling Interests - Holders of Convertible Limited Partnership Units in the Operating Partnership</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NoncontrollingInterestsHoldersofConvertibleLimitedPartnershipUnitsintheOperatingPartnershipDetails" roleURI="http://www.saulcenters.com/role/NoncontrollingInterestsHoldersofConvertibleLimitedPartnershipUnitsintheOperatingPartnershipDetails">
        <link:definition>2414407 - Disclosure - Noncontrolling Interests - Holders of Convertible Limited Partnership Units in the Operating Partnership (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesPayableRevolvingCreditFacilityInterestandAmortizationofDeferredDebtCosts" roleURI="http://www.saulcenters.com/role/NotesPayableRevolvingCreditFacilityInterestandAmortizationofDeferredDebtCosts">
        <link:definition>2115105 - Disclosure - Notes Payable, Revolving Credit Facility, Interest and Amortization of Deferred Debt Costs</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesPayableRevolvingCreditFacilityInterestandAmortizationofDeferredDebtCostsTables" roleURI="http://www.saulcenters.com/role/NotesPayableRevolvingCreditFacilityInterestandAmortizationofDeferredDebtCostsTables">
        <link:definition>2316303 - Disclosure - Notes Payable, Revolving Credit Facility, Interest and Amortization of Deferred Debt Costs (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesPayableRevolvingCreditFacilityInterestandAmortizationofDeferredDebtCostsNarrativeDetails" roleURI="http://www.saulcenters.com/role/NotesPayableRevolvingCreditFacilityInterestandAmortizationofDeferredDebtCostsNarrativeDetails">
        <link:definition>2417408 - Disclosure - Notes Payable, Revolving Credit Facility, Interest and Amortization of Deferred Debt Costs - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesPayableRevolvingCreditFacilityInterestandAmortizationofDeferredDebtCostsScheduledMaturitiesofDebtIncludingScheduledPrincipalAmortizationDetails" roleURI="http://www.saulcenters.com/role/NotesPayableRevolvingCreditFacilityInterestandAmortizationofDeferredDebtCostsScheduledMaturitiesofDebtIncludingScheduledPrincipalAmortizationDetails">
        <link:definition>2418409 - Disclosure - Notes Payable, Revolving Credit Facility, Interest and Amortization of Deferred Debt Costs - Scheduled Maturities of Debt, Including Scheduled Principal Amortization (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesPayableRevolvingCreditFacilityInterestandAmortizationofDeferredDebtCostsScheduledMaturitiesofDebtIncludingScheduledPrincipalAmortizationDetails_1" roleURI="http://www.saulcenters.com/role/NotesPayableRevolvingCreditFacilityInterestandAmortizationofDeferredDebtCostsScheduledMaturitiesofDebtIncludingScheduledPrincipalAmortizationDetails_1">
        <link:definition>2418409 - Disclosure - Notes Payable, Revolving Credit Facility, Interest and Amortization of Deferred Debt Costs - Scheduled Maturities of Debt, Including Scheduled Principal Amortization (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesPayableRevolvingCreditFacilityInterestandAmortizationofDeferredDebtCostsInterestExpenseandAmortizationofDeferredDebtCostsDetails" roleURI="http://www.saulcenters.com/role/NotesPayableRevolvingCreditFacilityInterestandAmortizationofDeferredDebtCostsInterestExpenseandAmortizationofDeferredDebtCostsDetails">
        <link:definition>2419410 - Disclosure - Notes Payable, Revolving Credit Facility, Interest and Amortization of Deferred Debt Costs - Interest Expense and Amortization of Deferred Debt Costs (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Equity" roleURI="http://www.saulcenters.com/role/Equity">
        <link:definition>2120106 - Disclosure - Equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EquityWeightedAverageSharesOutstandingTables" roleURI="http://www.saulcenters.com/role/EquityWeightedAverageSharesOutstandingTables">
        <link:definition>2321304 - Disclosure - Equity Weighted Average Shares Outstanding (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EquityNarrativeDetails" roleURI="http://www.saulcenters.com/role/EquityNarrativeDetails">
        <link:definition>2422411 - Disclosure - Equity Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="EquityPerShareDataDetails" roleURI="http://www.saulcenters.com/role/EquityPerShareDataDetails">
        <link:definition>2423412 - Disclosure - Equity - Per Share Data (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RelatedPartyTransactions" roleURI="http://www.saulcenters.com/role/RelatedPartyTransactions">
        <link:definition>2124107 - Disclosure - Related Party Transactions</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RelatedPartyTransactionsDetails" roleURI="http://www.saulcenters.com/role/RelatedPartyTransactionsDetails">
        <link:definition>2425413 - Disclosure - Related Party Transactions (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedEmployeeCompensationStockOptionPlansandDeferredCompensationPlanforDirectors" roleURI="http://www.saulcenters.com/role/StockbasedEmployeeCompensationStockOptionPlansandDeferredCompensationPlanforDirectors">
        <link:definition>2126108 - Disclosure - Stock-based Employee Compensation, Stock Option Plans, and Deferred Compensation Plan for Directors</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockOptionPlansTables" roleURI="http://www.saulcenters.com/role/StockOptionPlansTables">
        <link:definition>2327305 - Disclosure - Stock Option Plans (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockOptionPlansNarrativeDetails" roleURI="http://www.saulcenters.com/role/StockOptionPlansNarrativeDetails">
        <link:definition>2428414 - Disclosure - Stock Option Plans - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockbasedEmployeeCompensationStockOptionPlansandDeferredCompensationPlanforDirectorsSummaryofOptionActivityDetails" roleURI="http://www.saulcenters.com/role/StockbasedEmployeeCompensationStockOptionPlansandDeferredCompensationPlanforDirectorsSummaryofOptionActivityDetails">
        <link:definition>2429415 - Disclosure - Stock-based Employee Compensation, Stock Option Plans, and Deferred Compensation Plan for Directors - Summary of Option Activity (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueofFinancialInstruments" roleURI="http://www.saulcenters.com/role/FairValueofFinancialInstruments">
        <link:definition>2130109 - Disclosure - Fair Value of Financial Instruments</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueofFinancialInstrumentsNarrativeDetails" roleURI="http://www.saulcenters.com/role/FairValueofFinancialInstrumentsNarrativeDetails">
        <link:definition>2431416 - Disclosure - Fair Value of Financial Instruments - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsandContingencies" roleURI="http://www.saulcenters.com/role/CommitmentsandContingencies">
        <link:definition>2132110 - Disclosure - Commitments and Contingencies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BusinessSegments" roleURI="http://www.saulcenters.com/role/BusinessSegments">
        <link:definition>2133111 - Disclosure - Business Segments</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BusinessSegmentsTables" roleURI="http://www.saulcenters.com/role/BusinessSegmentsTables">
        <link:definition>2334306 - Disclosure - Business Segments (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BusinessSegmentsNarrativeDetails" roleURI="http://www.saulcenters.com/role/BusinessSegmentsNarrativeDetails">
        <link:definition>2435417 - Disclosure - Business Segments - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BusinessSegmentsScheduleofSegmentInformationDetails" roleURI="http://www.saulcenters.com/role/BusinessSegmentsScheduleofSegmentInformationDetails">
        <link:definition>2436418 - Disclosure - Business Segments - Schedule of Segment Information (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ImpactofCOVID19" roleURI="http://www.saulcenters.com/role/ImpactofCOVID19">
        <link:definition>2137112 - Disclosure - Impact of COVID-19</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ImpactofCOVID19NarrativeDetails" roleURI="http://www.saulcenters.com/role/ImpactofCOVID19NarrativeDetails">
        <link:definition>2438419 - Disclosure - Impact of COVID-19 - Narrative (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SubsequentEvents" roleURI="http://www.saulcenters.com/role/SubsequentEvents">
        <link:definition>2139113 - Disclosure - Subsequent Events</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="bfs_GiantFoodMember" abstract="true" name="GiantFoodMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_KentlandsPlaceMortgageMember" abstract="true" name="KentlandsPlaceMortgageMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_AccountsReceivableCurrentMember" abstract="true" name="AccountsReceivableCurrentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_NoncashInterestExpenseAccretionAndAmortizationOfDeferredFinanceFees" abstract="false" name="NoncashInterestExpenseAccretionAndAmortizationOfDeferredFinanceFees" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_DeferredRentReceivableMember" abstract="true" name="DeferredRentReceivableMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_DepositorySharesDividendsPerShare" abstract="false" name="DepositorySharesDividendsPerShare" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="num:perShareItemType"/>
  <xs:element id="bfs_LeaseAcquisitionCostsMember" abstract="true" name="LeaseAcquisitionCostsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_NewFacilityMember" abstract="true" name="NewFacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_NatureOfOperationsPolicyPolicyTextBlock" abstract="false" name="NatureOfOperationsPolicyPolicyTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesBalloonPaymentsInYearTwo" abstract="false" name="LongTermDebtMaturitiesBalloonPaymentsInYearTwo" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_AssetAcquisitionDomain" abstract="true" name="AssetAcquisitionDomain" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_LongtermDebtMaturitiesBalloonPaymentsRemainderOfFiscalYear" abstract="false" name="LongtermDebtMaturitiesBalloonPaymentsRemainderOfFiscalYear" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_MixedUsePropertiesMember" abstract="true" name="MixedUsePropertiesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_BroadlandsVillageMortgageMember" abstract="true" name="BroadlandsVillageMortgageMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsGrantsInPeriodIntrinsicValue" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsGrantsInPeriodIntrinsicValue" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_AssetAcquisitionAxis" abstract="true" name="AssetAcquisitionAxis" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:dimensionItem" type="xbrli:stringItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesBalloonPaymentsAfterYearFive" abstract="false" name="LongTermDebtMaturitiesBalloonPaymentsAfterYearFive" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_LimitedPartnersCapitalAccountConvertibleUnitsConversionRatio" abstract="false" name="LimitedPartnersCapitalAccountConvertibleUnitsConversionRatio" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="bfs_NoncashorPartNoncashIncreaseDecreaseInAccruedRealEstateInvestmentsAndDevelopmentCosts" abstract="false" name="NoncashorPartNoncashIncreaseDecreaseInAccruedRealEstateInvestmentsAndDevelopmentCosts" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_MinimumOutstandingStockPercentageThatShouldBeAcquiredForRightsIssuedToBecomeExercisable" abstract="false" name="MinimumOutstandingStockPercentageThatShouldBeAcquiredForRightsIssuedToBecomeExercisable" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="num:percentItemType"/>
  <xs:element id="bfs_PreferredStockDepositarySharesOutstanding" abstract="false" name="PreferredStockDepositarySharesOutstanding" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="bfs_PartnershipUnitsInEscrow" abstract="false" name="PartnershipUnitsInEscrow" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_SeriesECumulativeRedeemablePreferredStockMember" abstract="true" name="SeriesECumulativeRedeemablePreferredStockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsAbstract" abstract="true" name="LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="bfs_LesseeOperatingLeaseIncrementalBorrowingRate" abstract="false" name="LesseeOperatingLeaseIncrementalBorrowingRate" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="num:percentItemType"/>
  <xs:element id="bfs_TwinbrookQuarterMember" abstract="true" name="TwinbrookQuarterMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsAfterYearFive" abstract="false" name="LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsAfterYearFive" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_ScheduleOfInterestCostsIncurredTableTableTextBlock" abstract="false" name="ScheduleOfInterestCostsIncurredTableTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType"/>
  <xs:element id="bfs_OtherReceivableMember" abstract="true" name="OtherReceivableMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsAggregateIntrinsicValueRollForward" abstract="true" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsAggregateIntrinsicValueRollForward" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="bfs_PartnersCapitalAccountUnitsPlacedInEscrow" abstract="false" name="PartnersCapitalAccountUnitsPlacedInEscrow" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="bfs_SharebasedCompensationArrangementbySharebasedPaymentAwardOptionsForfeituresandExpirationsinPeriodIntrinsicValue" abstract="false" name="SharebasedCompensationArrangementbySharebasedPaymentAwardOptionsForfeituresandExpirationsinPeriodIntrinsicValue" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsInYearFive" abstract="false" name="LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsInYearFive" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_RelatedPartyTransactionAreaofRealEstateAcquired" abstract="false" name="RelatedPartyTransactionAreaofRealEstateAcquired" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="num:areaItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesRepaymentsOfPrincipleAfterYearFive" abstract="false" name="LongTermDebtMaturitiesRepaymentsOfPrincipleAfterYearFive" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesBalloonPaymentsInYearFive" abstract="false" name="LongTermDebtMaturitiesBalloonPaymentsInYearFive" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_ParkVanNessLoanMember" abstract="true" name="ParkVanNessLoanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_LesseeOperatingLeaseAnnualIncreaseInRentPercentage" abstract="false" name="LesseeOperatingLeaseAnnualIncreaseInRentPercentage" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="num:percentItemType"/>
  <xs:element id="bfs_NoIndividualTenantMember" abstract="true" name="NoIndividualTenantMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_CorporateHeadquartersMember" abstract="true" name="CorporateHeadquartersMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsGrantsSinceInception" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardOptionsGrantsSinceInception" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="bfs_AccountsPayableAccruedExpensesAndOtherLiabilities" abstract="false" name="AccountsPayableAccruedExpensesAndOtherLiabilities" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_LimitedPartnersCapitalAccountConvertibleUnitsEligibleForConversion" abstract="false" name="LimitedPartnersCapitalAccountConvertibleUnitsEligibleForConversion" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsInYearOne" abstract="false" name="LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsInYearOne" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_DebtInstrumentPeriodicPaymentTermsPrincipalPaymentsDue" abstract="false" name="DebtInstrumentPeriodicPaymentTermsPrincipalPaymentsDue" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_TheWaycroftMember" abstract="true" name="TheWaycroftMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_ContributionAgreementMember" abstract="true" name="ContributionAgreementMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_TwinbrookMetroStationMember" abstract="true" name="TwinbrookMetroStationMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesBalloonPaymentsInYearThree" abstract="false" name="LongTermDebtMaturitiesBalloonPaymentsInYearThree" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_StraightLineRentReceivableMember" abstract="true" name="StraightLineRentReceivableMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_IncreaseDecreaseInFinanceLeaseLiability" abstract="false" name="IncreaseDecreaseInFinanceLeaseLiability" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_LongtermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsRemainderOfFiscalYear" abstract="false" name="LongtermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsRemainderOfFiscalYear" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_DeferredCompensationArrangementwithIndividualEmployerContributionPercentageDeferredCompensation" abstract="false" name="DeferredCompensationArrangementwithIndividualEmployerContributionPercentageDeferredCompensation" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="bfs_LongtermDebtMaturitiesBalloonPaymentsAbstract" abstract="true" name="LongtermDebtMaturitiesBalloonPaymentsAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="bfs_A7316WisconsinAvenueMember" abstract="true" name="A7316WisconsinAvenueMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_ScheduleofConstructioninProgressTableTextBlock" abstract="false" name="ScheduleofConstructioninProgressTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType"/>
  <xs:element id="bfs_DeferredCompensationArrangementWithIndividualContributionsByPlanParticipantsPercentageOfSalaryMaximum" abstract="false" name="DeferredCompensationArrangementWithIndividualContributionsByPlanParticipantsPercentageOfSalaryMaximum" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="num:percentItemType"/>
  <xs:element id="bfs_TermFacilityMember" abstract="true" name="TermFacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_LesseeOperatingLeaseOptionToExtendNumberOfOptions" abstract="false" name="LesseeOperatingLeaseOptionToExtendNumberOfOptions" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="xbrli:integerItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsInYearFour" abstract="false" name="LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsInYearFour" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesBalloonPaymentsInYearFour" abstract="false" name="LongTermDebtMaturitiesBalloonPaymentsInYearFour" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_OperatingLeasesAnnualIncreaseInRentExpense" abstract="false" name="OperatingLeasesAnnualIncreaseInRentExpense" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="num:percentItemType"/>
  <xs:element id="bfs_UnitsInEscrowMember" abstract="true" name="UnitsInEscrowMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_AshbrookMarketplaceMortgageMember" abstract="true" name="AshbrookMarketplaceMortgageMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_CommonStockTransactionsAbstract" abstract="true" name="CommonStockTransactionsAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="bfs_OrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureLineItems" abstract="true" name="OrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureLineItems" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="bfs_AncillaryCostsAndExpenses" abstract="false" name="AncillaryCostsAndExpenses" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_TwinbrookMetroStationLeaseholdInterestMember" abstract="true" name="TwinbrookMetroStationLeaseholdInterestMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_SaulHoldingsLimitedPartnershipMember" abstract="true" name="SaulHoldingsLimitedPartnershipMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_UnsecuredRevolvingCreditFacilityMember" abstract="true" name="UnsecuredRevolvingCreditFacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_RealEstateRentalOperationsAbstract" abstract="true" name="RealEstateRentalOperationsAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsInYearTwo" abstract="false" name="LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsInYearTwo" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_AvenelBusinessParkMember" abstract="true" name="AvenelBusinessParkMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_SeriesDCumulativeRedeemablePreferredStockMember" abstract="true" name="SeriesDCumulativeRedeemablePreferredStockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_PartnersCapitalAccountUnitsConvertedAndWeightedAverageSharesOutstandingDiluted" abstract="false" name="PartnersCapitalAccountUnitsConvertedAndWeightedAverageSharesOutstandingDiluted" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="bfs_TheWaycroftAndAshbrookMarketplaceMember" abstract="true" name="TheWaycroftAndAshbrookMarketplaceMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_DepositorySharesToRedeemablePreferredStockRatio" abstract="false" name="DepositorySharesToRedeemablePreferredStockRatio" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="num:percentItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesBalloonPaymentsInYearOne" abstract="false" name="LongTermDebtMaturitiesBalloonPaymentsInYearOne" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_BFSaulRealEstateInvestmentTrustMember" abstract="true" name="BFSaulRealEstateInvestmentTrustMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_ShoppingCentersMember" abstract="true" name="ShoppingCentersMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_NonoperatingDevelopmentPropertiesMember" abstract="true" name="NonoperatingDevelopmentPropertiesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_TheWaycroftMortgageMember" abstract="true" name="TheWaycroftMortgageMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsInYearThree" abstract="false" name="LongTermDebtMaturitiesRepaymentsOfPrincipalAndBalloonPaymentsInYearThree" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_AssetAcquisitionConsiderationTransferred" abstract="false" name="AssetAcquisitionConsiderationTransferred" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_IncreaseDecreaseInAccountsPayableAccruedExpensesAndOtherLiabilities" abstract="false" name="IncreaseDecreaseInAccountsPayableAccruedExpensesAndOtherLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="bfs_OrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTable" abstract="true" name="OrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTable" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:hypercubeItem" type="xbrli:stringItemType"/>
  <xs:element id="bfs_AshbrookMarketplaceMember" abstract="true" name="AshbrookMarketplaceMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="bfs_BusinessAcquisitionExpensesReimbursed" abstract="false" name="BusinessAcquisitionExpensesReimbursed" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
</xs:schema>
